# Makefile.rl --
# 
# Part of: ZTCL
# Contents: makefile rules
# Date: Mon Dec 22, 2003
# 
# Abstract
# 
# 
# 
# Copyright (c) 2003, 2004 Marco Maggi
# 
# The author  hereby grant permission to use,  copy, modify, distribute,
# and  license this  software  and its  documentation  for any  purpose,
# provided that  existing copyright notices  are retained in  all copies
# and that  this notice  is included verbatim  in any  distributions. No
# written agreement, license, or royalty  fee is required for any of the
# authorized uses.  Modifications to this software may be copyrighted by
# their authors and need not  follow the licensing terms described here,
# provided that the new terms are clearly indicated on the first page of
# each file where they apply.
# 
# IN NO  EVENT SHALL THE AUTHOR  OR DISTRIBUTORS BE LIABLE  TO ANY PARTY
# FOR  DIRECT, INDIRECT, SPECIAL,  INCIDENTAL, OR  CONSEQUENTIAL DAMAGES
# ARISING OUT  OF THE  USE OF THIS  SOFTWARE, ITS DOCUMENTATION,  OR ANY
# DERIVATIVES  THEREOF, EVEN  IF THE  AUTHOR  HAVE BEEN  ADVISED OF  THE
# POSSIBILITY OF SUCH DAMAGE.
# 
# THE  AUTHOR  AND DISTRIBUTORS  SPECIFICALLY  DISCLAIM ANY  WARRANTIES,
# INCLUDING,   BUT   NOT  LIMITED   TO,   THE   IMPLIED  WARRANTIES   OF
# MERCHANTABILITY,    FITNESS   FOR    A    PARTICULAR   PURPOSE,    AND
# NON-INFRINGEMENT.  THIS  SOFTWARE IS PROVIDED  ON AN "AS  IS" BASIS,
# AND  THE  AUTHOR  AND  DISTRIBUTORS  HAVE  NO  OBLIGATION  TO  PROVIDE
# MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
# 

#PAGE
## ------------------------------------------------------------
## Source files.
## ------------------------------------------------------------

$(PACKAGE_NAME)_SOURCES	= init.c commands.c channel.c transform.c \
			  gzfile.c stream.c compress.c miscellaneous.c

$(PACKAGE_NAME)_HEADERS	= $(top_srcdir)/generic/ztcl.h \
			  $(top_srcdir)/generic/ztclDecls.h

$($(PACKAGE_NAME)_SOURCES:.c=.o): ztclDecls.h ztclInt.h

%.o: ztclInt.h ztclDecl.h

# doc-texinfo-all: zlibdoc-all
# doc-texinfo-clean: zlibdoc-clean

# zlibdoc-all:  zlib.info zlib.html
# zlibdoc-clean:
# 	-$(RM) zlib.info zlib.html

# zlib.info: zlib.texi
# 	$(MAKEINFO) $(DS_TEXI2INFO_FLAGS) $(<) -o $(@)
# zlib.html: zlib.texi
# 	$(MAKEINFO) $(DS_TEXI2HTML_FLAGS) $(<) -o $(@)

#PAGE
## ------------------------------------------------------------
## Automatic source generation.
## ------------------------------------------------------------

TCLMORE_DEV_SCRIPTS_DIR	= @TCLMORE_DEV_SCRIPTS_DIR@
ifeq (,$(TCLMORE_DEV_SCRIPTS_DIR))
TCLMORE_DEV_SCRIPTS_DIR	= $(libexecdir)/tclmore_@TCLMORE_XVERSION@
endif

TCLSH			= @TCLSH@
XMLPP			= xmlpp.tcl
TCLCOMMAND_TCL2DATA	= $(TCLMORE_DEV_SCRIPTS_DIR)/tclcommand.tcl2data
TCLCOMMAND_DATA2DECL	= $(TCLMORE_DEV_SCRIPTS_DIR)/tclcommand.data2declaration

.INTERMEDIATE: $(top_srcdir)/xml/declaration.tcl

commands.o: $(top_srcdir)/generic/declaration.c

$(top_srcdir)/generic/declaration.c: $(top_srcdir)/xml/declaration.tcl
	$(TCLCOMMAND_DATA2DECL) <$(<) >$(@)

$(top_srcdir)/xml/%.tcl: $(top_srcdir)/xml/%.xml
	$(XMLPP) <$(<) | $(TCLCOMMAND_TCL2DATA) >$(@)


#PAGE
## ------------------------------------------------------------
## Autoconf files.
## ------------------------------------------------------------

autoconf_INSTLST	= $(builddir)/aclocal/ztcl.m4
autoconf_INSTDIR	= $(datadir)/aclocal

.PHONY: autoconf-install

autoconf-install:
AM_INSTALL_DATA(autoconf)

dev-install: autoconf-install


### end of file
# Local Variables:
# mode: makefile
# page-delimiter: "^#PAGE"
# End:
